{% include './header.html' %}

<div class="container">
    <div id="welcome"><p>Please type a text to be summarized.</p>
      <p><strong>Example text:</strong> <i>bogota , colombia -lrb- cnn -rrb- -- a key rebel commander and fugitive from a u.s. drug trafficking indictment was killed over the weekend in an air attack on a guerrilla encampment , the colombian military said monday . alleged cocaine trafficker and farc rebel tomas medina caracas in an interpol photo . tomas medina caracas , known popularly as `` el negro acacio , '' was a member of the high command of the fuerzas armadas revolucionarias de colombia and , according to colombian and u.s. officials , helped manage the group 's extensive cocaine trafficking network . he had been in the cross-hairs of the u.s. justice department since 2002 . he was charged with conspiracy to import cocaine into the united states and manufacturing and distributing cocaine within colombia to fund the farc 's 42-year insurgency against the government . u.s. officials alleged medina caracas managed the rebel group 's sales of cocaine to international drug traffickers , who in turn smuggled it into the united states . he was also indicted in the united states along with two other farc commanders in november 2002 on charges of conspiring to kidnap two u.s. oil workers from neighboring venezuela in 1997 and holding one of them for nine months until a $ 1 million ransom was paid . officials said the army 's rapid response force , backed by elements of the colombian air force , tracked medina caracas down at a farc camp in the jungle in the south of the country . `` after a bombardment , the troops occupied the camp , and they 've found 14 dead rebels so far , along with rifles , pistols , communications equipment and ... four gps systems , '' defense minister juan manuel santos said at a news conference . `` the death of ` el negro acacio ' was confirmed by various sources , including members of farc itself . '' medina caracas commanded farc 's 16th front in the southern departments of vichada and guainia . established in 1964 as the military wing of the colombian communist party , farc is colombia 's oldest , largest , most capable and best-equipped marxist rebel group , according to the u.s. department of state . e-mail to a friend . journalist fernando ramos contributed to this report .</i></p>
    </div>


    <form id="form_user_input" method="post" action="">
      <input id="msg" type="text" class="form-control" name="msg" autofocus="autofocus" placeholder="Text snippet">
      <input type="submit" class="btn btn-primary" style="background-color:#0000ff; margin-top: 10px" value="Send">
    </form>

    <div id="result"></div>
</div>

  {% include './footer.html' %}

<script>
// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {

  // Stop form from submitting normally
  event.preventDefault();

  // Get form field value
  var msg = $("#msg").val();

  // clear form field
  $("#msg").val("");

  // clear result div
  $("#result").html("");
  $( "#result" ).append( '<p class="alert alert-warning" style="margin-top: 10px;">It takes about 20 seconds to calculate the result. Thanks for your patience.</strong>.</p>');

  // Send the data using ajax
  $.ajax({
    url: "https://demo.qurator.ai/pub/srv-summarisation-en/srv-summarize/analyzeText?informat=txt&outformat=txt&input=" + msg,
    type: 'POST',
    //data: {
    //    "input": msg
    //},
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        console.log('Success!');
        console.log(data);
        $("#result").html("");
        $( "#result" ).append( '<p class="alert alert-info" style="margin-top: 10px;"><strong>' + data + '</strong></p>');
    }
  });

});

</script>
</body>
</html>
